package com.ms.biz.service.impl;

import com.ms.dal.entity.DoudianMessage;
import com.ms.biz.service.DoudianMessageService;
import com.ms.dal.mapper.DoudianMessageMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class DoudianMessageServiceImpl implements DoudianMessageService{

    @Autowired
    private DoudianMessageMapper doudianMessageMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return doudianMessageMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(DoudianMessage record) {
        return doudianMessageMapper.insert(record);
    }

    @Override
    public int insertSelective(DoudianMessage record) {
        return doudianMessageMapper.insertSelective(record);
    }

    @Override
    public DoudianMessage selectByPrimaryKey(Long id) {
        return doudianMessageMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(DoudianMessage record) {
        return doudianMessageMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(DoudianMessage record) {
        return doudianMessageMapper.updateByPrimaryKey(record);
    }

}




